# ICommandSource

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Defines an object that can invoke a [Command](#command).

{% tabs %}
{% tab title="C#" %}

```csharp
public interface ICommandSource
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Interface ICommandSource
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Command

[ICommand](/api/wisej.web/interfaces/wisej.web.icommand.md): The command to execute.

## Events

### ![](/files/hsR4ok3152WyAf8J2C1u) CommandChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the [Command](#command) property changes.

## Implemented By

| Name                                                                                                                      | Description                                                                                                                                                                                                                                                                                                                         |
| ------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Button](/api/wisej.web/buttons/button.md)                                                                                | Represents a button control.                                                                                                                                                                                                                                                                                                        |
| [ButtonBase](/api/wisej.web/buttons/wisej.web.buttonbase.md)                                                              | Implements the basic functionality common to button controls.                                                                                                                                                                                                                                                                       |
| [CheckBox](/api/wisej.web/buttons/wisej.web.checkbox.md)                                                                  | Represents a check box control.                                                                                                                                                                                                                                                                                                     |
| [Label](/api/wisej.web/content/wisej.web.label.md)                                                                        | Represents a label control.                                                                                                                                                                                                                                                                                                         |
| [LinkLabel](/api/wisej.web/content/linklabel.md)                                                                          | Represents an hyper-link control.                                                                                                                                                                                                                                                                                                   |
| [PictureBox](/api/wisej.web/content/wisej.web.picturebox.md)                                                              | Represents an image control.                                                                                                                                                                                                                                                                                                        |
| [RadioButton](/api/wisej.web/buttons/wisej.web.radiobutton.md)                                                            | Enables the user to select a single option from a group of choices when paired with other [RadioButton](/api/wisej.web/buttons/wisej.web.radiobutton.md) controls.                                                                                                                                                                  |
| [DataGridViewButtonCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewbuttoncell.md)                 | Displays a button widget in a [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell.                                                                                                                                                                                                   |
| [DataGridViewCheckBoxCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcheckboxcell.md)             | Displays a [CheckBox](/api/wisej.web/buttons/wisej.web.checkbox.md) icon (not the actual control) in a [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell.                                                                                                                          |
| [DataGridViewComboBoxCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcell.md)             | Displays an editable [ComboBox](/api/wisej.web/lists-and-grids/combobox.md) control in a [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell when in edit mode.                                                                                                                      |
| [DataGridViewDateTimePickerCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewdatetimepickercell.md) | Displays an editable [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md) control in a [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell when in edit mode.                                                                                                        |
| [DataGridViewImageCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewimagecell.md)                   | Displays an image in a [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell.                                                                                                                                                                                                          |
| [DataGridViewLinkCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewlinkcell.md)                     | Displays a link widget in a [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell.                                                                                                                                                                                                     |
| [DataGridViewMaskedTextBoxCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewmaskedtextboxcell.md)   | Displays an editable [MaskedTextBox](/api/wisej.web/editors/maskedtextbox.md) control in a [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell when in edit mode.                                                                                                                    |
| [DataGridViewNumericUpDownCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewnumericupdowncell.md)   | Displays an editable [NumericUpDown](/api/wisej.web/editors/wisej.web.numericupdown.md) control in a [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell when in edit mode.                                                                                                          |
| [DataGridViewTextBoxCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtextboxcell.md)               | Displays an editable [TextBox](/api/wisej.web/editors/wisej.web.textbox.md) control in a [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell when in edit mode.                                                                                                                      |
| [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md)                             | Represents an individual cell in a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.                                                                                                                                                                                                                          |
| [DataGridViewColumnHeaderCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumnheadercell.md)     | Represents a column header in a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.                                                                                                                                                                                                                             |
| [DataGridViewHeaderCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewheadercell.md)                 | Contains functionality common to row header cells and column header cells.                                                                                                                                                                                                                                                          |
| [DataGridViewRowHeaderCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowheadercell.md)           | Represents a row header of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.                                                                                                                                                                                                                                |
| [SplitButton](/api/wisej.web/buttons/wisej.web.splitbutton.md)                                                            | Represents a split button control.                                                                                                                                                                                                                                                                                                  |
| [CheckedMenuItem](/api/wisej.web/menus/wisej.web.checkedmenuitem.md)                                                      | Represents an individual menu item that is displayed within a [MainMenu](/api/wisej.web/menus/wisej.web.mainmenu.md) or [ContextMenu](/api/wisej.web/menus/wisej.web.contextmenu.md) and always shows a checkbox next to the label.                                                                                                 |
| [LinkMenuItem](/api/wisej.web/menus/wisej.web.linkmenuitem.md)                                                            | Represents an individual menu item that is displayed within a [MainMenu](/api/wisej.web/menus/wisej.web.mainmenu.md) or [ContextMenu](/api/wisej.web/menus/wisej.web.contextmenu.md) rendered using the \<a> link element to let the browser process the specified [HRef](/api/wisej.web/menus/wisej.web.linkmenuitem.md#href) URL. |
| [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md)                                                                    | Represents an individual item that is displayed within a [MainMenu](/api/wisej.web/menus/wisej.web.mainmenu.md) or [ContextMenu](/api/wisej.web/menus/wisej.web.contextmenu.md).                                                                                                                                                    |
| [ToolBarButton](/api/wisej.web/containers/toolbar/wisej.web.toolbarbutton.md)                                             | Represents an item in the [ToolBar](/api/wisej.web/containers/toolbar.md).                                                                                                                                                                                                                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/interfaces/wisej.web.icommandsource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
